import 'package:http/http.dart' as http;
import 'package:http/http.dart';

import '../../../api_params.dart';
import '../talk_api.dart';
import 'delete_react_message_params.dart';

class DeleteReactMessage extends TalkApi {
  String chatToken;
  int messageId;
  DeleteReactMessage({
    required this.chatToken,
    required this.messageId,
    required DeleteReactMessageParams params,
  }) : super('v1/reaction/$chatToken/$messageId', params);

  @override
  Null assemble(String raw) => null;

  @override
  Future<Response>? request(
    Uri uri,
    ApiParams? body,
    Map<String, String>? headers,
  ) {
    if (body is DeleteReactMessageParams) {
      return http.delete(uri, headers: headers, body: body.toJson());
    }
    return null;
  }
}
